Bug 1388953 - cura segfaults when started in wayland session
Summary: cura segfaults when started in wayland session
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK3
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1389124 (view as bug list)
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-26 14:41 UTC by madstitz
Modified: 2019-05-03 00:48 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description madstitz 2016-10-26 14:41:47 UTC
Description of problem:
trying to start cura under a wayland session (Fedora 25 default) results in a segfault.

Version-Release number of selected component (if applicable):
15.04.4

Steps to Reproduce:
1. log into Fedora 25 gnome wayland session
2. try to start cura
3.

Actual results:
cura
load preferences from /home/foo/.cura/15.04.4/preferences.ini
[1]    12151 segmentation fault (core dumped)  cura

Expected results:
should start up fine


Additional info:
starting cura with 'GDK_BACKEND=x11 cura' works fine

Comment 1 Miro Hrončok 2016-10-26 20:44:22 UTC
I'm not sure how to solve that. Might be a wxPython issue?

Could you check if cura-lulzbot does the same? Thanks

Comment 2 Scott Talbert 2016-10-26 20:59:41 UTC
Can you provide a stack trace please?

Comment 3 madstitz 2016-10-26 21:57:24 UTC
same with cura-lulzbot.

how do I provide a stack trace?

Comment 4 Miro Hrončok 2016-10-26 22:10:20 UTC
Did ABRT (automatic bug reporting tool) catch the crash? If so, you should be able to report the crash to bugzilla and provide the link here.

Comment 6 Miro Hrončok 2016-10-26 23:44:41 UTC
*** Bug 1389124 has been marked as a duplicate of this bug. ***

Comment 7 Scott Talbert 2016-10-27 03:48:32 UTC
OK, so it looks like wxGLCanvas makes X11 calls directly.  I would think it should be possible to avoid this, though.  It may take some effort to resolve, but I'll try to work on it eventually.

Comment 8 Scott Talbert 2016-10-28 00:51:08 UTC
Filed a ticket upstream: http://trac.wxwidgets.org/ticket/17702

Comment 9 Miro Hrončok 2016-11-01 20:12:30 UTC
@madstitz, could you test this workaround please?

You should have /usr/bin/cura with this content:

#!/usr/bin/python
import Cura.cura as cura


cura.main()


Could you change it to this and see if it can be launched?:

#!/usr/bin/python
import os
os.environ['GDK_BACKEND'] = 'x11'

import Cura.cura as cura


cura.main()

Comment 10 madstitz 2016-11-02 19:49:12 UTC
@miro modifying the file as suggested makes cura start just fine.

Comment 11 Miro Hrončok 2016-11-03 00:25:42 UTC
Cool. I will submit an update with this workaround, but leave the bug open for proper fix.

Comment 12 Fedora Update System 2016-11-03 00:40:35 UTC
cura-15.04.4-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-66c01eff97

Comment 13 Fedora Update System 2016-11-03 00:41:01 UTC
cura-lulzbot-21.00-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-62cc923bac

Comment 14 Fedora Update System 2016-11-05 18:57:58 UTC
cura-15.04.4-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-66c01eff97

Comment 15 Fedora Update System 2016-11-05 18:58:02 UTC
cura-lulzbot-21.00-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-62cc923bac

Comment 16 Fedora Update System 2016-11-19 21:09:17 UTC
cura-15.04.4-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-11-19 21:09:20 UTC
cura-lulzbot-21.00-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora End Of Life 2017-11-16 19:05:51 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2018-02-20 15:35:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 20 Ben Cotton 2019-05-02 22:02:32 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Scott Talbert 2019-05-03 00:48:27 UTC
This is still an issue (that wxWidgets OpenGL doesn't work on Wayland).


Note You need to log in before you can comment on or make changes to this bug.